---
name: "visualBoxEventCheck"
mode: "kit"
versionRequirements:
  - { name: "@tuya-miniapp/cloud-api", version: "1.0.5" }
---

## visualBoxEventCheck

> [VERSION] @tuya-miniapp/cloud-api >= 1.0.5

### Description

VisionBox custom semantic validation

### Parameters

`Params`

| Parameter | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| `params` | `CustomVisionEventCheckParams` | Yes | - | Request body |

### Referenced Types

##### `type` CustomVisionEventCheckParams

| Property | Type | Description |
| --- | --- | --- |
| `eventValue` | `string` | Event semantic value |
| `gid` | `string` | Home gid |
| `stockId` | `string` | Inventory ID |


### Examples

#### Request example

```typescript
import { visualBoxEventCheck } from '@tuya-miniapp/cloud-api';

visualBoxEventCheck({
  gid: '194137',
  stockId: 'stock-1',
  eventValue: 'black-and-white cat',
})
  .then((r) => console.log(r))
  .catch(console.error);
```

#### Response example

```json
{ "available": true, "recommend": ["person", "pet"] }
```
